> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Hypervisor auflisten

> Statusinformationen von Hypervisoren für VPC-Monitoring abrufen

Erfordert den persönlichen API key eines Enterprise-Administrators.

Gibt eine Liste von Hypervisoren mit ihrem aktuellen Zustand für das Enterprise zurück. Dieser Endpunkt ist für das VPC-Monitoring konzipiert und ermöglicht Enterprise-Administratoren, den Zustand ihrer Hypervisor-Infrastruktur zu überprüfen.

<Note>
  Dieser Endpunkt ist nur für Enterprises mit VPC-Bereitstellungen verfügbar.
</Note>


## OpenAPI

````yaml de/v2-openapi.yaml GET /v2/enterprise/hypervisors/health
openapi: 3.1.0
info:
  description: Devin v2 API mit persönlichen API Keys für Enterprise-Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/hypervisors/health:
    get:
      tags:
        - hypervisors
      summary: Health-Status der Enterprise-Hypervisoren abrufen
      description: >-
        Ruft alle Hypervisoren eines Enterprise-Kontos mit ihrem aktuellen
        Systemzustand ab.


        Gibt zurück:
            Liste von Hypervisoren mit ihrer hypervisor_id und ihrem Status
      operationId: get_enterprise_hypervisors_health_v2_enterprise_hypervisors_health_get
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/HypervisorStatus'
                title: >-
                  Response Get Enterprise Hypervisors Health V2 Enterprise
                  Hypervisors Health Get
                type: array
          description: Erfolgreiche Antwort
components:
  schemas:
    HypervisorStatus:
      properties:
        hypervisor_id:
          title: Hypervisor Id
          type: string
        seconds_since_report:
          anyOf:
            - type: integer
            - type: 'null'
          title: Seconds Since Report
        status:
          title: Status
          type: string
      required:
        - hypervisor_id
        - status
      title: HypervisorStatus
      type: object
  securitySchemes:
    bearerAuth:
      description: Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren
      scheme: bearer
      type: http

````